package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicPublishApiState {

    public static final String DRAFT = "待提交";
    public static final String PENDING = "审核中";
    public static final String UNPASS = "审核不通过";
    public static final String PUBLISH = "已发布";
    public static final String UN_PUBLISH = "已下架";

    private static DicPublishApiState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicPublishApiState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DRAFT, DRAFT);
        dicMap.put(PENDING, PENDING);
        dicMap.put(UNPASS, UNPASS);
        dicMap.put(PUBLISH, PUBLISH);
        dicMap.put(UN_PUBLISH, UN_PUBLISH);
    }

    public static DicPublishApiState getInstacne(){
        if (instance == null)
        {
            instance = new DicPublishApiState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
